%define pypi_name cffi

%bcond_without doc

Name:           python-%{pypi_name}
Version:        1.17.1
Release:        %mkrel 2
Group:          Development/Python
Summary:        Foreign Function Interface for Python calling C code

License:        MIT
URL:            https://pypi.org/project/cffi
Source0:        %{pypi_source}
Patch:          0001-cffi-1.16-linking.patch

BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  pkgconfig(libffi)
%if %{with doc}
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
%endif

%description
Foreign Function Interface for Python calling C code. The aim of this project
is to provide a convenient and reliable way of calling C code from Python. The
interface is based on LuaJIT’s FFI.

%package -n     python3-%{pypi_name}
Summary:        Foreign Function Interface for Python 3 calling C code
Group:          Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}
Obsoletes:	python-%{pypi_name}-doc < 1.16.0

%description -n python3-%{pypi_name}
Foreign Function Interface for Python 3 calling C code. The aim of this project
is to provide a convenient and reliable way of calling C code from Python 3.
The interface is based on LuaJIT’s FFI.

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %{with doc}
make -C doc html
rm doc/build/html/.buildinfo
%endif

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%{python3_sitearch}/*.so

%if %{with doc}
%doc doc/build/html
%endif


%changelog
* Sat Feb 22 2025 wally <wally> 1.17.1-2.mga10
+ Revision: 2150694
- rebuild for python3.13

* Mon Dec 16 2024 papoteur <papoteur> 1.17.1-1.mga10
+ Revision: 2125615
- new version 1.17.1

* Thu Dec 28 2023 tv <tv> 1.16.0-3.mga10
+ Revision: 2023403
- Add patches for compatibility with Python 3.12

* Thu Dec 07 2023 wally <wally> 1.16.0-2.mga10
+ Revision: 2015183
- rebuild for py3.12
- use %%pyproject_buildrequires
- build docs and drop separate doc pkg

* Mon Oct 16 2023 papoteur <papoteur> 1.16.0-1.mga10
+ Revision: 1997486
- new 1.16.0

* Tue Sep 06 2022 papoteur <papoteur> 1.15.1-1.mga9
+ Revision: 1884383
- new 1.15.1

* Sun Mar 27 2022 umeabot <umeabot> 1.15.0-3.mga9
+ Revision: 1829306
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.15.0-2.mga9
+ Revision: 1772389
- rebuild for python3.10

* Thu Dec 02 2021 wally <wally> 1.15.0-1.mga9
+ Revision: 1760569
- new version 1.15.0

* Thu Aug 05 2021 luigiwalser <luigiwalser> 1.14.5-3.mga9
+ Revision: 1739665
- rebuild for libffi

* Mon Mar 15 2021 neoclust <neoclust> 1.14.5-2.mga9
+ Revision: 1703156
- Rebuild against python 3.9

* Tue Mar 02 2021 guillomovitch <guillomovitch> 1.14.5-1.mga9
+ Revision: 1696469
- new version 1.14.5

* Sat Nov 28 2020 guillomovitch <guillomovitch> 1.14.4-1.mga8
+ Revision: 1649875
- new version 1.14.4

* Mon Sep 14 2020 guillomovitch <guillomovitch> 1.14.2-1.mga8
+ Revision: 1626319
- new version 1.14.2

* Thu Jun 11 2020 joequant <joequant> 1.14.0-2.mga8
+ Revision: 1592277
- rebuild with new ffi

* Wed Feb 19 2020 daviddavid <daviddavid> 1.14.0-1.mga8
+ Revision: 1543870
- new version: 1.14.0

* Tue Feb 18 2020 umeabot <umeabot> 1.13.2-2.mga8
+ Revision: 1538227
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 1.13.2-1.mga8
+ Revision: 1461208
- new version: 1.13.2

* Wed Nov 13 2019 daviddavid <daviddavid> 1.13.1-1.mga8
+ Revision: 1459730
- new version: 1.13.1

* Wed Oct 09 2019 daviddavid <daviddavid> 1.12.3-1.mga8
+ Revision: 1450797
- new version: 1.12.3

* Wed Sep 04 2019 wally <wally> 1.12.2-3.mga8
+ Revision: 1437360
- rebuild for python3.8
- disable doc build for rebuild
- drop python2 support

* Sun Aug 18 2019 wally <wally> 1.12.2-2.mga8
+ Revision: 1429703
- update sphinx BRs
- fix python2 pkg description
- fix python2 pkg obsoletes and provides

* Wed Apr 17 2019 wally <wally> 1.12.2-1.mga7
+ Revision: 1392259
- new version 1.12.2

* Sat Jan 05 2019 wally <wally> 1.11.5-2.mga7
+ Revision: 1349614
- rebuild for python3.7

* Sun Oct 07 2018 joequant <joequant> 1.11.5-1.mga7
+ Revision: 1318363
- update to 1.11.5

* Sun Sep 23 2018 umeabot <umeabot> 1.11.1-2.mga7
+ Revision: 1300455
- Mageia 7 Mass Rebuild

* Tue Oct 10 2017 joequant <joequant> 1.11.1-1.mga7
+ Revision: 1170639
- upgrade to 1.11.1

* Fri Aug 04 2017 philippem <philippem> 1.10.0-2.mga7
+ Revision: 1134753
- rebuild for Python 3.6

* Sun Jul 30 2017 joequant <joequant> 1.10.0-1.mga7
+ Revision: 1132818
- update to 1.10.0

* Tue May 10 2016 philippem <philippem> 1.6.0-1.mga6
+ Revision: 1012169
- update to 1.6.0

* Tue Feb 16 2016 philippem <philippem> 1.5.2-1.mga6
+ Revision: 962442
- update to 1.5.2

* Fri Jan 22 2016 daviddavid <daviddavid> 1.5.0-1.mga6
+ Revision: 926482
- new version: 1.5.0

* Sat Dec 19 2015 philippem <philippem> 1.4.1-1.mga6
+ Revision: 912173
- update to 1.4.1

* Fri Nov 20 2015 philippem <philippem> 1.3.1-1.mga6
+ Revision: 904498
- update to 1.3.1

* Wed Oct 28 2015 philippem <philippem> 1.3.0-1.mga6
+ Revision: 896094
- update to 1.3.0

* Thu Oct 08 2015 tv <tv> 1.2.1-2.mga6
+ Revision: 887586
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Sat Sep 26 2015 philippem <philippem> 1.2.1-1.mga6
+ Revision: 883917
- update to 1.2.1

* Sat Jul 25 2015 philippem <philippem> 1.1.2-1.mga6
+ Revision: 857634
- update to 1.1.2

* Wed Oct 15 2014 umeabot <umeabot> 0.8.6-4.mga5
+ Revision: 739808
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.6-3.mga5
+ Revision: 728178
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 philippem <philippem> 0.8.6-1.mga5
+ Revision: 661684
- update to 0.8.6

* Sat May 31 2014 pterjan <pterjan> 0.8.1-3.mga5
+ Revision: 629733
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.8.1-2.mga5
+ Revision: 628495
- Rebuild for new Python

* Wed Mar 05 2014 philippem <philippem> 0.8.1-1.mga5
+ Revision: 600060
- Update to 0.8.1

* Tue Oct 22 2013 umeabot <umeabot> 0.7.2-3.mga4
+ Revision: 543234
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.2-2.mga4
+ Revision: 498217
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 0.7.2-1.mga4
+ Revision: 492705
- imported package python-cffi

